import * as React from 'react';
import { render, screen } from '@testing-library/react';
import { CdsAlert, CdsAlertActions, CdsAlertGroup } from './index';

describe('CdsAlert', () => {
  it('renders', async () => {
    render(
      <>
        <CdsAlert status="success">Foo</CdsAlert>

        <CdsAlertGroup status="info">
          <CdsAlert closable>
            Bar
            <CdsAlertActions>Baz</CdsAlertActions>
          </CdsAlert>
        </CdsAlertGroup>

        <CdsAlertGroup type="banner">
          <CdsAlert status="info">
            Foobar
            <CdsAlertActions>Test</CdsAlertActions>
          </CdsAlert>
        </CdsAlertGroup>
      </>
    );

    expect(document.querySelector('cds-alert')).toBeInTheDocument();
    expect(document.querySelector('cds-alert-actions')).toBeInTheDocument();
    expect(await screen.findByText(/foobar/i)).toBeInTheDocument();
    expect(await screen.findByText(/test/i)).toBeInTheDocument();
  });

  // there is an aria-describedby on the cds-alert that is autogenerated
  it.skip('snapshot', () => {
    const { container } = render(
      <div>
        <CdsAlert status="success">Foo</CdsAlert>

        <CdsAlertGroup status="info">
          <CdsAlert closable>
            Bar
            <CdsAlertActions>Baz</CdsAlertActions>
          </CdsAlert>
        </CdsAlertGroup>

        <CdsAlertGroup type="banner">
          <CdsAlert status="info" aria-describedby="id">
            Foobar
            <CdsAlertActions>Test</CdsAlertActions>
          </CdsAlert>
        </CdsAlertGroup>
      </div>
    );

    expect(container).toMatchSnapshot();
  });
});
